<?php

require_once SMSAPI_PLUGIN_PATH . '/classes/SmsapiClient.php';

class SmsapiClientProxy
{
    private $smsapiClient;

    public function __construct()
    {
        try {
            $this->smsapiClient = new SMSApiClient();
        } catch(\SMSApi\Exception\ClientException $error) {
            set_flash_error(__('Please configure API credentials.', 'smsapi'));
        }
    }

    public function __call($name, $arguments)
    {
        if ($this->smsapiClient) {
            return call_user_func_array(array($this->smsapiClient, $name), $arguments);
        }

        return null;
    }
}