<div class="wrap">
    <?php include(dirname(__FILE__) . '/tabs.php'); ?>

    <form action="<?php echo admin_url('admin.php?page=smsapi-settings'); ?>" name="general-settings-form"
          id="general-settings-form" method="POST">
        <table class="form-table">
            <tr>
                <th><?php _e("Domain", 'smsapi'); ?>:</th>
                <td>
                    <select name="api_hostname">
                        <option
                            value="<?php echo SMSAPI_COM_HOSTNAME; ?>" <?php echo (array_safe_get($config, 'api_hostname') == SMSAPI_COM_HOSTNAME) ? 'selected' : ''; ?>>
                            <?php _e('www.smsapi.com (International)', 'smsapi'); ?>
                        </option>

                        <option
                            value="<?php echo SMSAPI_PL_HOSTNAME; ?>" <?php echo (array_safe_get($config, 'api_hostname') == SMSAPI_PL_HOSTNAME) ? 'selected' : ''; ?>>
                            <?php _e('www.smsapi.pl (Polish)', 'smsapi'); ?>
                        </option>
                    </select>

                    <?php if (array_safe_get($errors, 'api_hostname')): ?>
                        <span class="text-danger"><?php echo array_safe_get($errors, 'api_hostname'); ?></span>
                    <?php endif; ?>
                </td>
            </tr>

            <tr>
                <th><?php _e("API username", 'smsapi'); ?>:</th>
                <td>
                    <input type="text" class="regular-text" name="api_username" id="api_username" maxlength="50"
                           value="<?php echo array_safe_get($config, 'api_username', ''); ?>"/>

                    <p class="description"><?php _e('Enter Your SMSAPI username.', 'smsapi'); ?></p>

                    <?php if (array_safe_get($errors, 'api_username')): ?>
                        <span class="text-danger"><?php echo array_safe_get($errors, 'api_username'); ?></span>
                    <?php endif; ?>
                </td>
            </tr>

            <tr>
                <th><?php _e("API password", 'smsapi'); ?>:</th>
                <td>
                    <input type="text" class="regular-text" name="api_password" id="api_password" autocomplete="off"
                           maxlength="50"
                           value="<?php echo array_safe_get($config, 'api_password', ''); ?>"/>

                    <p class="description"><?php _e('Enter Your SMSAPI password in md5 format', 'smsapi'); ?></p>

                    <?php if (array_safe_get($errors, 'api_password')): ?>
                        <span class="text-danger"><?php echo array_safe_get($errors, 'api_password'); ?></span>
                    <?php endif; ?>
                </td>
            </tr>

            <?php if (SmsapiConfig::isCofigurationGeneralCompleted()): ?>
                <tr>
                    <th><?php _e('Saved to group', 'smsapi'); ?>:</th>

                    <td>
                        <select name="phonebook_group" id="phonebook-group">
                            <option value=""><?php _e('-- select --', 'smsapi'); ?></option>

                            <?php if (!empty($phonebookGroups)): ?>
                                <?php foreach ($phonebookGroups as $group): ?>
                                    <option
                                        value="<?php echo $group->getId(); ?>" <?php echo (array_safe_get($config, 'phonebook_group') == $group->getId()) ? 'selected' : ''; ?>>
                                        <?php echo $group->getName(); ?>
                                    </option>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </select>

                        <?php if (array_safe_get($errors, 'phonebook_group')): ?>
                            <p class="text-danger"><?php echo array_safe_get($errors, 'phonebook_group'); ?></p>
                        <?php endif; ?>

                        <p class="description description-warning"><?php _e('Choose group information', 'smsapi'); ?></p>

                        <br/>

                        <label> <input type="checkbox" name="add_new_group"
                                       id="add-new-group"/> <?php _e('Add new group', 'smsapi'); ?></label>

                        <div id="new-group-name-block" class="hidden">
                            <input type="text" name="new_group_name"/>
                            <p class="description"><?php _e('Enter name for new group.', 'smsapi'); ?></p>
                        </div>
                    </td>
                </tr>

                <tr>
                    <th><?php _e("Default sendername", 'smsapi'); ?>:</th>
                    <td>
                        <select name="api_sendername" id="api-sendername">
                            <option value=""><?php _e('-- select --', 'smsapi'); ?></option>

                            <?php if (!empty($senderNames)): ?>
                                <?php foreach ($senderNames as $sender): ?>
                                    <option
                                        value="<?php echo $sender->getName(); ?>" <?php echo (array_safe_get($config, 'api_sendername') == $sender->getName()) ? 'selected' : ''; ?>>
                                        <?php echo $sender->getName(); ?>
                                    </option>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </select>

                        <?php if (array_safe_get($errors, 'api_sendername')): ?>
                            <p class="text-danger"><?php echo array_safe_get($errors, 'api_sendername'); ?></p>
                        <?php endif; ?>

                        <p class="description"><?php _e('Enter default sendername used to send messages from plugin.', 'smsapi'); ?></p>
                    </td>
                </tr>
            <?php endif; ?>

            <tr>
                <td>
                    <input type="submit" name="" id="settings-form-submit" class="btn btn-primary"
                           value="<?php _e('Save', 'smsapi'); ?>">
                </td>
            </tr>
        </table>
    </form>
</div>

<script type="text/javascript">
    jQuery(document).ready(function ($) {
        $('input#add-new-group').on('change', function () {
            if (this.checked) {
                $("#new-group-name-block").show();
            } else {
                $("#new-group-name-block").hide();
            }
        }).trigger('change');
    });
</script>