<div class="wrap">

    <?php include(dirname(__FILE__) . '/../flash_info.php'); ?>

    <h2>
        <?php _e('SMSAPI subscribers', 'smsapi'); ?>
    </h2>

    <?php if (!empty($subscribers)): ?>
    <form method="get" >
        <p class="search-box">
            <label for="post-search-input" class="screen-reader-text"><?php _e('Search subscribers', 'smsapi'); ?></label>
            <input type="hidden" name="page" value="smsapi-subscribers" />
            <input type="search" name="search_text" value="<?php echo array_safe_get($_GET, 'search_text', '') ?>" id="smsapi-post-search-input">
            <input type="submit" value="<?php _e('Search', 'smsapi'); ?>" class="button" id="search-submit">
        </p>
    </form>

    <form action="?page=smsapi-subscribers&noheader=true" method="post" id="smsapi-subscribers-list-form">
        <table class="widefat fixed" cellspacing="0">
            <thead>
                <tr>
                    <th class="manage-column column-cb check-column"><input type="checkbox" name="check_all" value=""/></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Phone number', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Firstname', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Lastname', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Email', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="10%"><?php _e('Actions', 'smsapi'); ?></th>
                </tr>
            </thead>

            <tbody>
                <?php foreach($subscribers as $subscriber): ?>
                    <tr>
                        <th class="check-column" scope="row">
                            <input type="checkbox" name="subscribers_ids[]" value="<?php echo $subscriber->getId() ; ?>" />
                        </th>

                        <td><?php echo esc_attr($subscriber->getPhoneNumber()); ?></td>
                        <td><?php echo esc_attr($subscriber->getFirstName()); ?></td>
                        <td><?php echo esc_attr($subscriber->getLastName()); ?></td>
                        <td><?php echo esc_attr($subscriber->getEmail()); ?></td>

                        <td class="column-name">
                            <a href="?page=smsapi-subscribers&action=edit&id=<?php echo $subscriber->getId(); ?>"><?php _e('Edit', 'smsapi'); ?></a> |
                            <a class="confirm-remove" href="?page=smsapi-subscribers&noheader=true&action=delete&id=<?php echo $subscriber->getId(); ?>"><?php _e('Remove', 'smsapi'); ?></a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>

            <tfoot>
                <tr>
                    <th class="manage-column column-cb check-column"><input type="checkbox" name="check_all" value=""/></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Phone number', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Firstname', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Lastname', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="20%"><?php _e('Email', 'smsapi'); ?></th>
                    <th scope="col" class="manage-column column-name" width="10%"><?php _e('Actions', 'smsapi'); ?></th>
                </tr>
            </tfoot>
        </table>

        <div class="tablenav">
            <div class="alignleft actions">
                <select name="action" id="smsapi-subscribers-form-action">
                    <optgroup label="<?php _e('Actions on selected subscribers', 'smsapi'); ?>">
                        <option value="sendsms" selected><?php _e('Send SMS', 'smsapi'); ?></option>
                        <option value="export"><?php _e('Export to CSV', 'smsapi'); ?></option>
                        <option value="remove"><?php _e('Remove', 'smsapi'); ?></option>
                    </optgroup>

                    <optgroup label="<?php _e('Actions on all subscribers', 'smsapi'); ?>">
                        <option value="export_all"><?php _e('Export to CSV', 'smsapi'); ?></option>
                        <option value="remove_all"><?php _e('Remove', 'smsapi'); ?></option>
                    </optgroup>
                </select>
                <input value="<?php _e('Apply', 'smsapi'); ?>" name="doaction" id="doaction" class="button-secondary action" type="submit"/>
            </div>

            <div class="alignright">
                <?php echo $pagination; ?>
            </div>
            <br class="clear">
        </div>
    </form>
    <?php else: ?>
        <p><?php _e('No subscribers to show', 'smsapi'); ?></p>
    <?php endif; ?>
</div>

<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("a.confirm-remove").click(function() {
           return confirm("<?php _e('are you sure you want to delete subscriber?', 'smsapi') ?>")
        });
    });
</script>